{
  lib,
  config,
  pkgs,
  ...
}:
let
  inherit (lib) mkEnableOption mkIf;

  cfg = config.marleyos.services.clipboard;
in
{
  options.marleyos.services.clipboard.enable = mkEnableOption "clipboard";

  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      clipboard-jh
    ];

    home.sessionVariables = {
      CLIPBOARD_THEME = "ansi";
    };
  };
}
